@import url('https://fonts.googleapis.com/css?family=Roboto&display=swap');

* {
  box-sizing: border-box;
}

body {
  font-family: 'Roboto', sans-serif;
  /* background-color: #e5e5e5; */
  display: flex;
  padding-top: 5rem;
  justify-content: center;
  overflow: hidden;
  margin: 0;
}

.row {
  display: flex;
  width: 600px;
  justify-content: space-between;
  margin-bottom: 1rem;
}

.col-header {
  width: 150px;
  box-shadow: 4px 4px 9px rgba(198, 198, 198, 0.36);
  border-radius: 20px;
  padding: 0.8rem 1rem;
  color: #fff;
}

.item {
  width: 150px;
  height: 66px;
  border: 1px solid #eee;
  box-shadow: 4px 4px 9px rgba(198, 198, 198, 0.36);
  border-radius: 20px;
  background: #f7f6f7;
  padding: 0.8rem 1rem;
  color: #828282;
  text-align: center;
  cursor: grab;

  transition: 500ms;
}

.item.--hold {
  /* border: 3px solid #aaa; */
  border-radius: 20px;
  opacity: 0.15;
}

.item:active {
  cursor: grabbing;
}

.placeholder {
  width: 150px;
  height: 66px;

  position: relative;
}

.placeholder.--entered {
  /* border-top: 2px solid #8ed7ed; */
}

.placeholder::before {
  content: '';
  height: 3px;
  width: 100%;

  opacity: 0.6;

  position: absolute;
  top: 0;
}

.start {
  background: linear-gradient(90deg, #ff85e4 0%, #229efd 179.25%);
}

.placeholder.--entered.--start::before {
  background: linear-gradient(90deg, transparent 0%, #ff85e4 30%, #229efd 70%, transparent 100%);
}


.progress {
  background: linear-gradient(90deg, #209cff 0%, #68e0cf 100%);
}

.placeholder.--entered.--progress::before {
  background: linear-gradient(90deg, transparent 0%, #209cff 30%, #68e0cf 70%, transparent 100%);
}


.done {
  background: linear-gradient(90deg, #84fab0 0%, #8fd3f4 100%);
}

.placeholder.--entered.--done::before {
  background: linear-gradient(90deg, transparent 0%, #84fab0 30%, #8fd3f4 70%, transparent 100%);
}